/*
 * Copyright (C) 1995-2012 by 4system Polska Sp. z o.o.
 * All Rights Reserved. v4
 */

componentSLWLabel = function(name)
{
	//inherited	
	this.componentElement = componentElement;
	this.componentElement(name);
	
	this.confirmAnswer = false;
};

componentSLWLabel.prototype = new componentElement();
componentSLWLabel.prototype.type = "componentSLWLabel";

componentSLWLabel.prototype.onBaseCreate = function(obj)
{
	this.captureMouseEvents();
	
	if (this.disabled == true) {
		this.obj.disabled = true;
	}

	var o = document.getElementById(this.id + "_contentObj");
	if (this.ctrlFontEnable) {
		this.innerCtrlFormatText(o, this.text, this.ctrlFontName, this.ctrlFontSize, this.ctrlFontColor, this.ctrlFontStyle);  
	} else {
		o.innerHTML = this.text;
	}
};
